// src/automations-v1-automations-custom-trigger-custom-trigger.universal.ts
import { transformError as sdkTransformError } from "@wix/sdk-runtime/transform-error";
import { renameKeysFromSDKRequestToRESTRequest } from "@wix/sdk-runtime/rename-all-nested-keys";

// src/automations-v1-automations-custom-trigger-custom-trigger.http.ts
import { resolveUrl } from "@wix/sdk-runtime/rest-modules";
function resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(opts) {
  const domainToMappings = {
    "bo._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "dev._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "platform.rise.ai": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "editor.wixapps.net": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "apps._base_domain_": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    _: [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/_serverless/crm-automations-utils",
        destPath: ""
      },
      {
        srcPath: "/_api/_serverless/crm-automations-utils",
        destPath: ""
      }
    ],
    "api._api_base_domain_": [
      {
        srcPath: "/crm-automations-utils",
        destPath: ""
      }
    ]
  };
  return resolveUrl(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_automations_custom-trigger";
function runTrigger(payload) {
  function __runTrigger({ host }) {
    const metadata = {
      entityFqdn: "wix.automations.v1.automations_custom_trigger",
      method: "POST",
      methodFqn: "com.wixpress.crm.automations.automations_custom_trigger.AutomationsCustomTriggerService.RunTrigger",
      packageName: PACKAGE_NAME,
      url: resolveComWixpressCrmAutomationsAutomationsCustomTriggerAutomationsCustomTriggerServiceUrl(
        { protoPath: "/v1/trigger-custom", data: payload, host }
      ),
      data: payload
    };
    return metadata;
  }
  return __runTrigger;
}

// src/automations-v1-automations-custom-trigger-custom-trigger.universal.ts
async function runTrigger2(options) {
  const { httpClient, sideEffects } = arguments[1];
  const payload = renameKeysFromSDKRequestToRESTRequest({
    triggerId: options?.triggerId,
    payload: options?.payload
  });
  const reqOpts = runTrigger(payload);
  sideEffects?.onSiteCall?.();
  try {
    const result = await httpClient.request(reqOpts);
    sideEffects?.onSuccess?.(result);
  } catch (err) {
    const transformedError = sdkTransformError(
      err,
      {
        spreadPathsToArguments: {},
        explicitPathsToArguments: {
          triggerId: "$[0].triggerId",
          payload: "$[0].payload"
        },
        singleArgumentUnchanged: false
      },
      ["options"]
    );
    sideEffects?.onError?.(err);
    throw transformedError;
  }
}

// src/automations-v1-automations-custom-trigger-custom-trigger.public.ts
function runTrigger3(httpClient) {
  return (options) => runTrigger2(
    options,
    // @ts-ignore
    { httpClient }
  );
}

// src/automations-v1-automations-custom-trigger-custom-trigger.context.ts
import { createRESTModule } from "@wix/sdk-runtime/rest-modules";
var runTrigger4 = /* @__PURE__ */ createRESTModule(runTrigger3);
export {
  runTrigger4 as runTrigger
};
//# sourceMappingURL=index.mjs.map