interface MainEntity {
    /** @format GUID */
    _id?: string;
    tags?: Tags;
}
interface Tags {
    privateTags?: TagList;
    tags?: TagList;
}
interface TagList {
    /**
     * @maxSize 100
     * @maxLength 5
     */
    tagIds?: string[];
}
interface RunTriggerRequest {
    /**
     * Trigger ID. You can find this in the custom trigger configuration in the automations builder.
     * @maxLength 100
     */
    triggerId?: string;
    /**
     * Optional payload object to pass to run trigger. Define the payload schema from sample data in the custom trigger configuration in the
     * automations builder.
     */
    payload?: Record<string, any> | null;
}
interface RunTriggerResponse {
}
interface BulkUpdateMainEntityTagsRequest {
    /**
     * @maxSize 100
     * @maxLength 50
     */
    entityIds?: string[];
    assignTags?: Tags;
    unassignTags?: Tags;
}
interface BulkUpdateMainEntityTagsResponse {
}
interface BulkUpdateMainEntityTagsByFilterRequest {
    filter?: Record<string, any> | null;
    assignTags?: Tags;
    unassignTags?: Tags;
}
interface BulkUpdateMainEntityTagsByFilterResponse {
}
interface RunTriggerOptions {
    /**
     * Trigger ID. You can find this in the custom trigger configuration in the automations builder.
     * @maxLength 100
     */
    triggerId?: string;
    /**
     * Optional payload object to pass to run trigger. Define the payload schema from sample data in the custom trigger configuration in the
     * automations builder.
     */
    payload?: Record<string, any> | null;
}

export type { BulkUpdateMainEntityTagsRequest as B, MainEntity as M, RunTriggerOptions as R, Tags as T, TagList as a, RunTriggerRequest as b, RunTriggerResponse as c, BulkUpdateMainEntityTagsResponse as d, BulkUpdateMainEntityTagsByFilterRequest as e, BulkUpdateMainEntityTagsByFilterResponse as f };
